<template>
  <div class="success page" :style="{'backgroundImage': 'url('+bgImg+')'}">
    <div class="page-wrapper">
      <img :src="this.$logoimg" width="110"/>
      <div class="space-lg" />
      <!--div class="order">
        <h2 class="order__number">{{order.stand + order.ordernumber}}</h2>
        <h3 class="order__item">{{order.drinkId}}</h3>
        <h4 class="order__customer">{{order.userName}}</h4>
      </div-->
      <div class="order">
        <h2 class="font-size-title">{{order.stand + order.ordernumber}}</h2>
      </div>
      <div class="space-sm" />
      <h2 class="font-size-subheading" style="line-height: 1.5">当您的特调预备好，<br />我们会透过微信通知您。</h2>
      <div class="space-lg" />
      <router-link to="/" class="btn-back btn-brand">确认</router-link>
    </div>
  </div>
</template>


<script>
export default {
  name: 'Success',
  data () {
    return {
        bgImg: require("../../assets/bg_success.jpg"),
        order: this.$route.query,
        timeoutfn: function(){}
    }
  },
  beforeDestroy: function(){
    clearTimeout(this.timeoutfn)
  },
  methods: {
    redirection: function(){
      var vm = this;
      vm.timeoutfn = setTimeout(function(){
        vm.$router.push({ path: '/' })
      },5000)
    },
  },
  mounted: function(){
    //this.redirection()
  }
}
</script>

<style scoped lang="sass">
@import "../../styles/pages/success.sass"
</style>
